<?php

namespace Siteguarding\Antivirus\Block\Adminhtml\Index;

class Index extends \Magento\Backend\Block\Widget\Container
{

    public function __construct(\Magento\Backend\Block\Widget\Context $context,array $data = [])
    {
        parent::__construct($context, $data);
    }
	
	public function getRootPath()
	{
		
		$rootPath = substr(__DIR__,0,strpos(__DIR__,"/app/"));
 		if($rootPath == '')
		{
			$rootPath = substr(__DIR__,0,strpos(__DIR__,"\app\\"));
		} 
		return $rootPath;
	}
	
	public function getWebsiteUrl()
	{
		$protocol = isset($_SERVER["HTTPS"]) ? 'https' : 'http';
		return $protocol . '://' . $_SERVER['HTTP_HOST'] . "/";
	}
	
	public function getUrlToModule()
	{
		date_default_timezone_set('Europe/London');
		$file = 'Mg_scanner.php';
		$url = $this->getWebsiteUrl() . $file . "?session=" . md5($this->getRootPath() . date("Y-m-d"));
		return $url;
	}
	
	public function checkDomain()
	{
		if($_SERVER['SERVER_NAME'] == 'localhost' || $_SERVER['HTTP_HOST'] == 'localhost' || $_SERVER['SERVER_ADDR'] == "127.0.0.1" || strpos($_SERVER['SERVER_ADDR'],"192.168.") === true)
		{
			return false;
		}
		return true;
	}
	
	public function checkCURL()
	{
		if(!extension_loaded('curl'))
		{
			return false;
		}
		return true;
	}

}
